get
https://api.bridgeapi.io/v2/items//refresh/status
Retrieve the refresh status of an item.
User resourceThis resource is only accessible when a user is logged in.
ITEM STATUS JSON
| Field | Description |
|---|---|
statusstring | Item's refresh status. |
mfamfa object | Information to display to the client when the bank requires a Strong Customer Authentication (SCA). This information is only available when the |
refreshed_attimestamp | Timestamp recording when the item was refreshed. |
refreshed_accounts_countinteger | Count how many accounts of the item have been refreshed. This information is only available when the |
total_accounts_countinteger | Count the total number of accounts in the item. This information is only available when the |
MFA JSON
typestring | The MFA type can be a One Time Password (SMS) or an App to App validation (APP_TO_APP). By default the value is null. |
descriptionstring | Message to display to the user. |
labelstring | Message to display to the user by default if we don't have the description from the bank. |
is_numericboolean | True if the OTP is numeric (0-9) only. |
LIST OF REFRESH STATUS
| Status | Description |
|---|---|
authenticating | The item is connecting to the bank. |
retrieving_data | refreshed_accounts_count and total_accounts_count will indicate the progression of the refresh. |
info_required | Connector requires a One Time Password (OTP) or an app to app validation. |
finished | Refresh process is done. All data are up to date and available. |
invalid_creds | Provided credentials are invalid. Corresponding's item status is 402. |
finished_error | An error occurred while refreshing the item. Check its status (429, 1003, ...). |
